# $Revision: 1.550 $, $Date: 2011/05/22 12:05:58 $
# TODO:
# - make response_time_distribution.patch compatible with i386 alpha sparc ppc arches
# - mysqldump ... (invalid usage) prints to stdout not stderr (idiotic if you want to create dump and get usage in .sql)
# - unpackaged:
#   /usr/bin/mysqlaccess.conf
# - http://bugs.mysql.com/bug.php?id=16470
# - innodb are dynamic (= as plugins) ?
# - missing have_archive, have_merge
# - is plugin_dir lib64 safe?
# - Using NDB Cluster... could not find sci transporter in /{include, lib}
# - !!! Makefiles for libmysqld.so !!!
# - segfaults on select from non-mysql user (caused by builder environment):
#     https://bugs.launchpad.net/pld-linux/+bug/381904
#     (profiling disabled temporaily to workaround this)
#
# Conditional build:
%bcond_with	autodeps	# BR packages needed only for resolving deps
%bcond_without	innodb		# InnoDB storage engine support
%bcond_without	big_tables	# Support tables with more than 4G rows even on 32 bit platforms
%bcond_without	federated	# Federated storage engine support
%bcond_without	raid		# RAID support
%bcond_without	ssl		# OpenSSL support
%bcond_without	tcpd		# libwrap (tcp_wrappers) support
%bcond_with	sphinx		# Sphinx storage engine support
%bcond_with	tests		# FIXME: don't run correctly
%bcond_with	ndb		# NDB is now a separate product, this here is broken, so disable it

%include	/usr/lib/rpm/macros.perl
Summary:	MySQL: a very fast and reliable SQL database engine
Summary(de.UTF-8):	MySQL: ist eine SQL-Datenbank
Summary(fr.UTF-8):	MySQL: un serveur SQL rapide et fiable
Summary(pl.UTF-8):	MySQL: bardzo szybka i niezawodna baza danych (SQL)
Summary(pt_BR.UTF-8):	MySQL: Um servidor SQL rápido e confiável
Summary(ru.UTF-8):	MySQL - быстрый SQL-сервер
Summary(uk.UTF-8):	MySQL - швидкий SQL-сервер
Summary(zh_CN.UTF-8):	MySQL数据库服务器
Name:		mysql
Version:	5.5.11
Release:	1
License:	GPL + MySQL FLOSS Exception
Group:		Applications/Databases
# Source0Download: http://dev.mysql.com/downloads/mysql/5.5.html#downloads
Source0:	http://vesta.informatik.rwth-aachen.de/mysql/Downloads/MySQL-5.5/%{name}-%{version}.tar.gz
# Source0-md5:	befa4e0d0aa95be6c8f6f143ae3b0641
Source100:	http://www.sphinxsearch.com/downloads/sphinx-0.9.9.tar.gz
# Source100-md5:	7b9b618cb9b378f949bb1b91ddcc4f54
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}d.conf
Source5:	%{name}-clusters.conf
Source7:	%{name}-ndb.init
Source8:	%{name}-ndb.sysconfig
Source9:	%{name}-ndb-mgm.init
Source10:	%{name}-ndb-mgm.sysconfig
Source11:	%{name}-ndb-cpc.init
Source12:	%{name}-ndb-cpc.sysconfig
Source13:	%{name}-client.conf
Source14:	my.cnf
# from fedora
Source15:	lib%{name}.version
Patch2:		%{name}-c++.patch
Patch3:		%{name}-info.patch
# from fedora
Patch5:		%{name}-versioning.patch
Patch6:		%{name}-system-users.patch
Patch7:		%{name}-bug-34192.patch
Patch8:		%{name}-client-config.patch
Patch9:		%{name}-build.patch
Patch11:	%{name}-upgrade.patch
Patch12:	%{name}-config.patch
Patch14:	%{name}-bug-43594.patch
Patch18:	%{name}-sphinx.patch
Patch19:	%{name}-chain-certs.patch
# from fedora
Patch20:	%{name}-dubious-exports.patch
# <percona patches, updated with percona.sh>
Patch100:	microsec_process.patch
Patch101:	optimizer_fix.patch
Patch102:	mysql_dump_ignore_ct.patch
Patch103:	control_online_alter_index.patch
Patch104:	show_temp.patch
Patch105:	innodb_show_status.patch
Patch106:	innodb_io_patches.patch
Patch107:	innodb_opt_lru_count.patch
Patch108:	innodb_extra_rseg.patch
Patch109:	innodb_overwrite_relay_log_info.patch
Patch110:	innodb_thread_concurrency_timer_based.patch
Patch111:	innodb_dict_size_limit.patch
Patch112:	innodb_split_buf_pool_mutex.patch
Patch113:	innodb_expand_import.patch
Patch114:	innodb_show_sys_tables.patch
Patch115:	innodb_stats.patch
Patch116:	innodb_recovery_patches.patch
Patch117:	innodb_admin_command_base.patch
Patch118:	innodb_show_lock_name.patch
Patch119:	innodb_extend_slow.patch
Patch120:	innodb_lru_dump_restore.patch
Patch121:	innodb_separate_doublewrite.patch
Patch122:	innodb_pass_corrupt_table.patch
Patch123:	innodb_fast_checksum.patch
Patch124:	innodb_files_extend.patch
Patch125:	innodb_fix_misc.patch
Patch126:	innodb_deadlock_count.patch
Patch127:	innodb_adaptive_hash_index_partitions.patch
Patch128:	innodb_buffer_pool_pages_i_s.patch
Patch129:	innodb_buffer_pool_shm.patch
Patch130:	innodb_show_status_extend.patch
Patch131:	slow_extended.patch
Patch132:	percona_support.patch
Patch133:	query_cache_enhance.patch
Patch134:	log_connection_error.patch
Patch135:	mysql_syslog.patch
Patch136:	response_time_distribution.patch
Patch137:	error_pad.patch
Patch138:	remove_fcntl_excessive_calls.patch
Patch139:	sql_no_fcache.patch
Patch140:	show_slave_status_nolock.patch
Patch141:	log_warnings_suppress.patch
Patch142:	userstat.patch
Patch143:	bug580324.patch
Patch144:	mysql_remove_eol_carret.patch
Patch145:	processlist_row_stats.patch
Patch146:	innodb_expand_fast_index_creation.patch
Patch147:	innodb_bug60788.patch
# </percona>
URL:		http://www.mysql.com/products/community/
BuildRequires:	bison
BuildRequires:	cmake >= 2.6
BuildRequires:	groff
%if "%{pld_release}" == "ac"
BuildRequires:	libstdc++4-devel >= 5:4.0
%else
BuildRequires:	libstdc++-devel >= 5:4.0
%endif
BuildRequires:	libtool
%{?with_tcpd:BuildRequires:	libwrap-devel}
BuildRequires:	ncurses-devel >= 4.2
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_autodeps:BuildRequires:	perl-DBI}
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.597
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-charsets = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	/usr/bin/setsid
Requires:	rc-scripts >= 0.2.0
Suggests:	mysql-client
%{?with_tcpd:Suggests:	tcp_wrappers}
Suggests:	vim-syntax-mycnf
Provides:	MySQL-server
Provides:	group(mysql)
Provides:	msqlormysql
Provides:	user(mysql)
Obsoletes:	MySQL
Obsoletes:	mysql-server
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib/mysql
%define		_mysqlhome	/home/services/mysql

%define		_noautoreqdep	'perl(DBD::mysql)'

%description
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. SQL is the most popular database language
in the world. MySQL is a client/server implementation that consists of
a server daemon mysqld and many different client programs/libraries.

The main goals of MySQL are speed, robustness and easy to use. MySQL
was originally developed because we at Tcx needed a SQL server that
could handle very big databases with magnitude higher speed than what
any database vendor could offer to us. We have now been using MySQL
since 1996 in a environment with more than 40 databases, 10,000
tables, of which more than 500 have more than 7 million rows. This is
about 50G of mission critical data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years.
While MySQL is still in development, it already offers a rich and
highly useful function set.

%description -l fr.UTF-8
MySQL est un serveur de bases de donnees SQL vraiment multi-usagers et
multi-taches. Le langage SQL est le langage de bases de donnees le
plus populaire au monde. MySQL est une implementation client/serveur
qui consiste en un serveur (mysqld) et differents
programmes/bibliotheques clientes.

Les objectifs principaux de MySQL sont: vitesse, robustesse et
facilite d'utilisation. MySQL fut originalement developpe parce que
nous, chez Tcx, avions besoin d'un serveur SQL qui pouvait gerer de
tres grandes bases de donnees avec une vitesse d'un ordre de magnitude
superieur a ce que n'importe quel vendeur pouvait nous offrir. Nous
utilisons MySQL depuis 1996 dans un environnement avec plus de 40
bases de donnees, 10000 tables, desquelles plus de 500 ont plus de 7
millions de lignes. Ceci represente environ 50G de donnees critiques.

A la base de la conception de MySQL, on retrouve une serie de routines
qui ont ete utilisees dans un environnement de production pendant
plusieurs annees. Meme si MySQL est encore en developpement, il offre
deja une riche et utile serie de fonctions.

%description -l pl.UTF-8
MySQL to prawdziwie wieloużytkownikowy, wielowątkowy serwer baz danych
SQL. SQL jest najpopularniejszym na świecie językiem używanym do baz
danych. MySQL to implementacja klient/serwer składająca się z demona
mysqld i wielu różnych programów i bibliotek klienckich.

Głównymi celami MySQL-a są szybkość, potęga i łatwość użytkowania.
MySQL oryginalnie był tworzony, ponieważ autorzy w Tcx potrzebowali
serwera SQL do obsługi bardzo dużych baz danych z szybkością o wiele
większą, niż mogli zaoferować inni producenci baz danych. Używają go
od 1996 roku w środowisku z ponad 40 bazami danych, 10 000 tabel, z
których ponad 500 zawiera ponad 7 milionów rekordów - w sumie około
50GB krytycznych danych.

Baza, na której oparty jest MySQL, składa się ze zbioru procedur,
które były używane w bardzo wymagającym środowisku produkcyjnym przez
wiele lat. Pomimo, że MySQL jest ciągle rozwijany, już oferuje bogaty
i użyteczny zbiór funkcji.

%description -l de.UTF-8
MySQL ist eine SQL-Datenbank. Allerdings ist sie im Gegensatz zu
Oracle, DB2 oder PostgreSQL keine relationale Datenbank. Die Daten
werden zwar in zweidimensionalen Tabellen gespeichert und können mit
einem Primärschlüssel versehen werden. Es ist aber keine Definition
eines Fremdschlüssels möglich. Der Benutzer ist somit bei einer
MySQL-Datenbank völlig allein für die (referenzielle) Integrität der
Daten verantwortlich. Allein durch die Nutzung externer
Tabellenformate, wie InnoDB bzw Berkeley DB wird eine Relationalität
ermöglicht. Diese Projekte sind aber getrennt von MySQL zu betrachten.

%description -l pt_BR.UTF-8
O MySQL é um servidor de banco de dados SQL realmente multiusuário e
multi-tarefa. A linguagem SQL é a mais popular linguagem para banco de
dados no mundo. O MySQL é uma implementação cliente/servidor que
consiste de um servidor chamado mysqld e diversos
programas/bibliotecas clientes. Os principais objetivos do MySQL são:
velocidade, robustez e facilidade de uso. O MySQL foi originalmente
desenvolvido porque nós na Tcx precisávamos de um servidor SQL que
pudesse lidar com grandes bases de dados e com uma velocidade muito
maior do que a que qualquer vendedor podia nos oferecer. Estamos
usando o MySQL desde 1996 em um ambiente com mais de 40 bases de dados
com 10.000 tabelas, das quais mais de 500 têm mais de 7 milhões de
linhas. Isto é o equivalente a aproximadamente 50G de dados críticos.
A base da construção do MySQL é uma série de rotinas que foram usadas
em um ambiente de produção com alta demanda por muitos anos. Mesmo o
MySQL estando ainda em desenvolvimento, ele já oferece um conjunto de
funções muito ricas e úteis. Veja a documentação para maiores
informações.

%description -l ru.UTF-8
MySQL - это SQL (Structured Query Language) сервер базы данных. MySQL
была написана Michael'ом (monty) Widenius'ом. См. файл CREDITS в
дистрибутиве на предмет других участников проекта и прочей информации
о MySQL.

%description -l uk.UTF-8
MySQL - це SQL (Structured Query Language) сервер бази даних. MySQL
було написано Michael'ом (monty) Widenius'ом. Див. файл CREDITS в
дистрибутиві для інформації про інших учасників проекту та іншої
інформації.

%package charsets
Summary:	MySQL - character sets definitions
Summary(pl.UTF-8):	MySQL - definicje kodowań znaków
Group:		Applications/Databases

%description charsets
This package contains character sets definitions needed by both client
and server.

%description charsets -l pl.UTF-8
Ten pakiet zawiera definicje kodowań znaków potrzebne dla serwera i
klienta.

%package -n mysqlhotcopy
Summary:	mysqlhotcopy - A MySQL database backup program
Summary(pl.UTF-8):	mysqlhotcopy - program do tworzenia kopii zapasowych baz MySQL
Group:		Applications/Databases
Requires:	perl-DBD-mysql

%description -n mysqlhotcopy
mysqlhotcopy uses LOCK TABLES, FLUSH TABLES, and cp or scp to make a
database backup quickly. It is the fastest way to make a backup of the
database or single tables, but it can be run only on the same machine
where the database directories are located. mysqlhotcopy works only
for backing up MyISAM and ARCHIVE tables.

See innobackup package to backup InnoDB tables.

%description -n mysqlhotcopy -l pl.UTF-8
mysqlhotcopy wykorzystuje LOCK TABLES, FLUSH TABLES oraz cp i scp do
szybkiego tworzenia kopii zapasowych baz danych. Jest to najszybszy
sposób wykonania kopii zapasowej bazy danych lub pojedynczych tabel,
ale może działać tylko na maszynie, na której znajdują się katalogi z
bazą danych. mysqlhotcopy działa tylko dla tabel typu MyISAM i
ARCHIVE.

Narzędzie do tworzenia kopii tabel InnoDB znajduje się w pakiecie
innobackup.

%package extras
Summary:	MySQL additional utilities
Summary(pl.UTF-8):	Dodatkowe narzędzia do MySQL
Group:		Applications/Databases
Requires:	%{name}-client = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}

%description extras
MySQL additional utilities except Perl scripts (they may be found in
%{name}-extras-perl package).

%description extras -l pl.UTF-8
Dodatkowe narzędzia do MySQL - z wyjątkiem skryptów Perla (które są w
pakiecie %{name}-extras-perl).

%package extras-perl
Summary:	MySQL additional utilities written in Perl
Summary(pl.UTF-8):	Dodatkowe narzędzia do MySQL napisane w Perlu
Group:		Applications/Databases
Requires:	%{name}-extras = %{version}-%{release}
# this is just for the sake of smooth upgrade, not to break systems
Requires:	mysqlhotcopy = %{version}-%{release}
Requires:	perl(DBD::mysql)

%description extras-perl
MySQL additional utilities written in Perl.

%description extras-perl -l pl.UTF-8
Dodatkowe narzędzia do MySQL napisane w Perlu.

%package client
Summary:	MySQL - Client
Summary(pl.UTF-8):	MySQL - Klient
Summary(pt.UTF-8):	MySQL - Cliente
Summary(ru.UTF-8):	MySQL клиент
Summary(uk.UTF-8):	MySQL клієнт
Group:		Applications/Databases
Requires:	%{name}-charsets = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	MySQL-client

%description client
This package contains the standard MySQL clients.

%description client -l fr.UTF-8
Ce package contient les clients MySQL standards.

%description client -l pl.UTF-8
Standardowe programy klienckie MySQL.

%description client -l pt_BR.UTF-8
Este pacote contém os clientes padrão para o MySQL.

%description client -l ru.UTF-8
Этот пакет содержит только клиент MySQL.

%description client -l uk.UTF-8
Цей пакет містить тільки клієнта MySQL.

%package libs
Summary:	Shared libraries for MySQL
Summary(pl.UTF-8):	Biblioteki współdzielone MySQL
Group:		Libraries
Obsoletes:	libmysql10
Obsoletes:	mysql-doc < 4.1.12

%description libs
Shared libraries for MySQL.

%description libs -l pl.UTF-8
Biblioteki współdzielone MySQL.

%package devel
Summary:	MySQL - development header files and other files
Summary(pl.UTF-8):	MySQL - Pliki nagłówkowe i inne dla programistów
Summary(pt.UTF-8):	MySQL - Medições de desempenho
Summary(ru.UTF-8):	MySQL - хедеры и библиотеки разработчика
Summary(uk.UTF-8):	MySQL - хедери та бібліотеки програміста
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_ssl:Requires:	openssl-devel}
Requires:	zlib-devel
Obsoletes:	MySQL-devel
Obsoletes:	libmysql10-devel

%description devel
This package contains the development header files and other files
necessary to develop MySQL client applications.

%description devel -l fr.UTF-8
Ce package contient les fichiers entetes et les librairies de
developpement necessaires pour developper des applications clientes
MySQL.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne pliki konieczne do kompilacji aplikacji
klienckich MySQL.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de cabeçalho (header files) e
bibliotecas necessárias para desenvolver aplicações clientes do MySQL.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и библиотеки разработчика, необходимые для
разработки клиентских приложений.

%description devel -l uk.UTF-8
Цей пакет містить хедери та бібліотеки програміста, необхідні для
розробки програм-клієнтів.

%package static
Summary:	MySQL static libraries
Summary(pl.UTF-8):	Biblioteki statyczne MySQL
Summary(ru.UTF-8):	MySQL - статические библиотеки
Summary(uk.UTF-8):	MySQL - статичні бібліотеки
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	MySQL-static

%description static
MySQL static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne MySQL.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки разработчика, необходимые
для разработки клиентских приложений.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки програміста, необхідні для
розробки програм-клієнтів.

%package bench
Summary:	MySQL - Benchmarks
Summary(pl.UTF-8):	MySQL - Programy testujące szybkość działania bazy
Summary(pt.UTF-8):	MySQL - Medições de desempenho
Summary(ru.UTF-8):	MySQL - бенчмарки
Summary(uk.UTF-8):	MySQL - бенчмарки
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-client
Requires:	perl(DBD::mysql)
Obsoletes:	MySQL-bench

%description bench
This package contains MySQL benchmark scripts and data.

%description bench -l pl.UTF-8
Programy testujące szybkość serwera MySQL.

%description bench -l pt_BR.UTF-8
Este pacote contém medições de desempenho de scripts e dados do MySQL.

%description bench -l ru.UTF-8
Этот пакет содержит скрипты и данные для оценки производительности
MySQL.

%description bench -l uk.UTF-8
Цей пакет містить скрипти та дані для оцінки продуктивності MySQL.

%package doc
Summary:	MySQL manual
Summary(pl.UTF-8):	Podręcznik użytkownika MySQL
Group:		Applications/Databases

%description doc
This package contains manual in HTML format.

%description doc -l pl.UTF-8
Podręcznik MySQL-a w formacie HTML.

%package ndb
Summary:	MySQL - NDB Storage Engine Daemon
Summary(pl.UTF-8):	MySQL - demon silnika przechowywania danych NDB
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb
This package contains the standard MySQL NDB Storage Engine Daemon.

%description ndb -l pl.UTF-8
Ten pakiet zawiera standardowego demona silnika przechowywania danych
NDB.

%package ndb-client
Summary:	MySQL - NDB Clients
Summary(pl.UTF-8):	MySQL - programy klienckie NDB
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb-client
This package contains the standard MySQL NDB Clients.

%description ndb-client -l pl.UTF-8
Ten pakiet zawiera standardowe programy klienckie MySQL NDB.

%package ndb-mgm
Summary:	MySQL - NDB Management Daemon
Summary(pl.UTF-8):	MySQL - demon zarządzający NDB
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb-mgm
This package contains the standard MySQL NDB Management Daemon.

%description ndb-mgm -l pl.UTF-8
Ten pakiet zawiera standardowego demona zarządzającego MySQL NDB.

%package ndb-cpc
Summary:	MySQL - NDB CPC Daemon
Summary(pl.UTF-8):	MySQL - demon NDB CPC
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb-cpc
This package contains the standard MySQL NDB CPC Daemon.

%description ndb-cpc -l pl.UTF-8
Ten pakiet zawiera standardowego demona MySQL NDB CPC.

%prep
%setup -q %{?with_sphinx:-a100}
%if %{with sphinx}
# http://www.sphinxsearch.com/docs/manual-0.9.9.html#sphinxse-mysql51
mv sphinx-*/mysqlse storage/sphinx
%patch18 -p1
%endif
#%patch2 -p1 # NEEDS CHECK, which exact program needs -lc++
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch11 -p1
%patch12 -p1
%patch14 -p0
%patch19 -p1
%patch20 -p1
# <percona %patches>
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%ifnarch i386 alpha sparc ppc
%patch136 -p1
%endif
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
# </percona>

# to get these files rebuild
rm sql/sql_yacc.cc
rm sql/sql_yacc.h

%build
install -d build
cd build
# NOTE that /var/lib/mysql/mysql.sock is symlink to real sock file
# (it defaults to first cluster but user may change it to whatever
# cluster it wants)

%if "%{pld_release}" == "ac"
# add suffix, but allow ccache, etc in ~/.rpmmacros
%{expand:%%define	__cc	%(echo '%__cc' | sed -e 's,-gcc,-gcc4,')}
%{expand:%%define	__cxx	%(echo '%__cxx' | sed -e 's,-g++,-g++4,')}
%{expand:%%define	__cpp	%(echo '%__cpp' | sed -e 's,-gcc,-gcc4,')}
%endif

# upstream has fallen down badly on symbol versioning, do it ourselves
install -d libmysql
cp -a %{SOURCE15} libmysql/libmysql.version

%cmake \
	-DCMAKE_BUILD_TYPE=%{!?debug:RelWithDebInfo}%{?debug:Debug} \
	-DFEATURE_SET="community" \
	-DCMAKE_C_FLAGS_RELEASE="%{rpmcflags} -DNDEBUG -fno-omit-frame-pointer -fno-strict-aliasing" \
	-DCMAKE_CXX_FLAGS_RELEASE="%{rpmcxxflags} -DNDEBUG -fno-omit-frame-pointer -fno-strict-aliasing" \
	-DWITHOUT_EXAMPLE_STORAGE_ENGINE=1 \
	%{?debug:-DWITH_DEBUG=ON} \
	-DWITH_FAST_MUTEXES=ON \
	-DWITH_PIC=ON \
	-DWITH_LIBEDIT=OFF \
	-DWITH_READLINE=OFF \
%if "%{pld_release}" == "ac"
	-DWITH_SSL=%{?with_ssl:bundled}%{!?with_ssl:no} \
%else
	-DWITH_SSL=%{?with_ssl:system}%{!?with_ssl:no} \
%endif
	-DWITH_ZLIB=system \
	-DCOMPILATION_COMMENT="PLD/Linux Distribution MySQL RPM" \
	-DWITH_LIBWRAP=%{?with_tcpd:ON}%{!?with_tcpd:OFF} \
	-DWITH_UNIT_TESTS=%{?with_tests:ON}%{!?with_tests:OFF} \
	-DCURSES_INCLUDE_PATH=/usr/include/ncurses \
	-DMYSQL_UNIX_ADDR=/var/lib/%{name}/%{name}.sock \
	-DINSTALL_LAYOUT=RPM \
	-DINSTALL_MYSQLTESTDIR_RPM="" \
	-DINSTALL_SQLBENCHDIR=%{_datadir} \
	-DINSTALL_SUPPORTFILESDIR=%{_datadir}/%{name}-support \
	..

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,sysconfig,mysql,skel} \
	   $RPM_BUILD_ROOT/var/{log/{archive,}/mysql,lib/mysql} \
	   $RPM_BUILD_ROOT{%{_infodir},%{_mysqlhome}}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a Docs/mysql.info $RPM_BUILD_ROOT%{_infodir}

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mysql
cp -a %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/mysql
# This is template for configuration file which is created after 'service mysql init'
cp -a %{SOURCE4} mysqld.conf
cp -a %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/clusters.conf
touch $RPM_BUILD_ROOT/var/log/%{name}/{mysqld,query,slow}.log

# remove innodb directives from mysqld.conf if mysqld is configured without
%if %{without innodb}
	cp mysqld.conf mysqld.tmp
	awk 'BEGIN { RS="\n\n" } !/innodb/ { printf("%s\n\n", $0) }' < mysqld.tmp > mysqld.conf
%endif

# remove berkeley-db directives from mysqld.conf if mysqld is configured without
cp mysqld.conf mysqld.tmp
awk 'BEGIN { RS="\n\n" } !/bdb/ { printf("%s\n\n", $0) }' < mysqld.tmp > mysqld.conf

cp -a mysqld.conf $RPM_BUILD_ROOT%{_datadir}/%{name}/mysqld.conf
cp -a %{SOURCE13} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mysql-client.conf
cp -a %{SOURCE14} $RPM_BUILD_ROOT/etc/skel/.my.cnf

# NDB
%if %{with ndb}
install -p %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql-ndb
cp -a %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/mysql-ndb
install -p %{SOURCE9} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql-ndb-mgm
cp -a %{SOURCE10} $RPM_BUILD_ROOT/etc/sysconfig/mysql-ndb-mgm
install -p %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql-ndb-cpc
cp -a %{SOURCE12} $RPM_BUILD_ROOT/etc/sysconfig/mysql-ndb-cpc
%endif

# symlinks point to the .so file, fix it
ln -sf libmysqlclient.so.18 $RPM_BUILD_ROOT%{_libdir}/libmysqlclient_r.so.18
ln -sf libmysqlclient.so.18.0.0 $RPM_BUILD_ROOT%{_libdir}/libmysqlclient_r.so.18.0.0

sed -i -e 's,/usr//usr,%{_prefix},g' $RPM_BUILD_ROOT%{_bindir}/mysql_config
sed -i -e '/libs/s/$ldflags//' $RPM_BUILD_ROOT%{_bindir}/mysql_config

# remove known unpackaged files
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/mysql-support

# rename not to be so generic name
mv $RPM_BUILD_ROOT%{_bindir}/{,mysql_}resolve_stack_dump
mv $RPM_BUILD_ROOT%{_mandir}/man1/{,mysql_}resolve_stack_dump.1

# not useful without -debug build
%{!?debug:%{__rm} $RPM_BUILD_ROOT%{_bindir}/mysql_resolve_stack_dump}
%{!?debug:%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysql_resolve_stack_dump.1}
# generate symbols file, so one can generate backtrace using it
# mysql_resolve_stack_dump -s %{_datadir}/%{name}/mysqld.sym -n mysqld.stack.
# http://dev.mysql.com/doc/refman/5.0/en/using-stack-trace.html
%{?debug:nm -n $RPM_BUILD_ROOT%{_sbindir}/mysqld > $RPM_BUILD_ROOT%{_datadir}/%{name}/mysqld.sym}

# do not clobber users $PATH
mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/mysql_upgrade
mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/innochecksum
mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/myisamchk
mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/myisamlog
mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/myisampack
#mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/mysql_fix_privilege_tables
mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/my_print_defaults
sed -i -e 's#/usr/bin/my_print_defaults#%{_sbindir}/my_print_defaults#g' $RPM_BUILD_ROOT%{_bindir}/mysql_install_db
mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/mysqlcheck

# delete - functionality in initscript / rpm
# note: mysql_install_db (and thus resolveip) are needed by digikam
%{__rm} $RPM_BUILD_ROOT%{_bindir}/mysqld_safe
%{__rm} $RPM_BUILD_ROOT%{_bindir}/mysqld_multi
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysqld_{multi,safe}*
#rm $RPM_BUILD_ROOT%{_datadir}/%{name}/mysql-log-rotate
#rm $RPM_BUILD_ROOT%{_datadir}/%{name}/mysql.server
#rm $RPM_BUILD_ROOT%{_datadir}/%{name}/binary-configure
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/errmsg-utf8.txt
%{__rm} $RPM_BUILD_ROOT%{_bindir}/mysql_waitpid
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysql_waitpid.1*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysql.server*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysqlman.1*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/comp_err.1*

# we don't package those (we have no -test or -testsuite pkg) and some of them just segfault
%{__rm} $RPM_BUILD_ROOT%{_bindir}/mysql_client_test
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysql_client_test.1*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysql_client_test_embedded.1*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysql-stress-test.pl.1*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mysql-test-run.pl.1*
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/mysql-test

# not needed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/plugin/libdaemon_example.*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 89 mysql
%useradd -u 89 -d %{_mysqlhome} -s /bin/sh -g mysql -c "MySQL Server" mysql

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig
/sbin/chkconfig --add mysql
%service mysql restart

%preun
if [ "$1" = "0" ]; then
	%service -q mysql stop
	/sbin/chkconfig --del mysql
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

if [ "$1" = "0" ]; then
	%userremove mysql
	%groupremove mysql
fi

%post ndb
/sbin/chkconfig --add mysql-ndb
%service mysql-ndb restart "mysql NDB engine"

%preun ndb
if [ "$1" = "0" ]; then
	%service mysql-ndb stop
	/sbin/chkconfig --del mysql-ndb
fi

%post ndb-mgm
/sbin/chkconfig --add mysql-ndb-mgm
%service mysql-ndb-mgm restart "mysql NDB management node"

%preun ndb-mgm
if [ "$1" = "0" ]; then
	%service mysql-ndb-mgm stop
	/sbin/chkconfig --del mysql-ndb-mgm
fi

%post ndb-cpc
/sbin/chkconfig --add mysql-ndb-cpc
%service mysql-ndb-cpc restart "mysql NDB CPC"

%preun ndb-cpc
if [ "$1" = "0" ]; then
	%service mysql-ndb-cpc stop
	/sbin/chkconfig --del mysql-ndb-cpc
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%triggerpostun -- mysql < 4.0.20-2.4
# For clusters in /etc/%{name}/clusters.conf
if [ -f /etc/sysconfig/mysql ]; then
	. /etc/sysconfig/mysql
	if [ -n "$MYSQL_DB_CLUSTERS" ]; then
		for i in "$MYSQL_DB_CLUSTERS"; do
			echo "$i/mysqld.conf=$i" >> /etc/%{name}/clusters.conf
		done
		echo "# Do not use **obsolete** option MYSQL_DB_CLUSTERS" >> /etc/sysconfig/mysql
		echo "# USE /etc/%{name}/clusters.conf instead" >> /etc/sysconfig/mysql
		echo "Converted clusters from MYSQL_DB_CLUSTERS to /etc/%{name}/clusters.conf."
		echo "You NEED to fix your /etc/sysconfig/mysql and verify /etc/%{name}/clusters.conf."
	fi
fi

%triggerpostun -- mysql < 4.1.1
# For better compatibility with prevoius versions:
for config in $(awk -F= '!/^#/ && /=/{print $1}' /etc/%{name}/clusters.conf); do
	if echo "$config" | grep -q '^/'; then
		config_file="$config"
	elif [ -f "/etc/%{name}/$config" ]; then
		config_file=/etc/%{name}/$config
	else
		clusterdir=$(awk -F= "/^$config/{print \$2}" /etc/%{name}/clusters.conf)
		if [ -z "$clusterdir" ]; then
			echo >&2 "Can't find cluster dir for $config!"
			echo >&2 "Please remove extra (leading) spaces from /etc/%{name}/clusters.conf"
			exit 1
		fi
		config_file="$clusterdir/mysqld.conf"
	fi

	if [ ! -f "$config_file" ]; then
			echo >&2 "Lost myself! Please report this (with above errors, if any) to http://bugs.pld-linux.org/"
			exit 1
	fi
	echo "Adding option old-passwords to config: $config_file"
	echo "If you want to use new, better passwords - remove it"

	# sed magic to add 'old-passwords' to [mysqld] section
	sed -i -e '/./{H;$!d;};x;/\[mysqld\]/{
		a
		a; Compatibility options:
		aold-passwords
	}
	' $config_file
done

%banner -e %{name}-4.1.x <<-EOF
	If you want to use new help tables in MySQL 4.1.x then You'll need to import the help data:
	mysql -u mysql mysql < %{_datadir}/%{name}/fill_help_tables.sql
EOF
#'

%triggerpostun -- mysql < 5.1.0
configs=""
for config in $(awk -F= '!/^#/ && /=/{print $1}' /etc/%{name}/clusters.conf); do
	if echo "$config" | grep -q '^/'; then
		config_file="$config"
	elif [ -f "/etc/%{name}/$config" ]; then
		config_file=/etc/%{name}/$config
	else
		clusterdir=$(awk -F= "/^$config/{print \$2}" /etc/%{name}/clusters.conf)
		if [ -z "$clusterdir" ]; then
			echo >&2 "Can't find cluster dir for $config!"
			echo >&2 "Please remove extra (leading) spaces from /etc/%{name}/clusters.conf"
			exit 1
		fi
		config_file="$clusterdir/mysqld.conf"
	fi

	if [ ! -f "$config_file" ]; then
		echo >&2 "ERROR: Can't find real config file for $config! Please report this (with above errors, if any) to http://bugs.pld-linux.org/"
		continue
	fi
	configs="$configs $config_file"
done

(
echo 'You should run MySQL upgrade script *after* restarting MySQL server for all MySQL clusters.'
echo 'Thus, you should invoke:'
for config in $configs; do
	sed -i -e '
		s/set-variable\s*=\s* //
		# use # as comment in config
		s/^;/#/
	' $config

	datadir=$(awk -F= '!/^#/ && $1 ~ /datadir/{print $2}' $config | xargs)
	echo "# mysql_upgrade --datadir=$datadir"
done
) | %banner -e %{name}-5.1

%triggerpostun -- mysql < 5.5.0
configs=""
for config in $(awk -F= '!/^#/ && /=/{print $1}' /etc/%{name}/clusters.conf); do
	if echo "$config" | grep -q '^/'; then
		config_file="$config"
	elif [ -f "/etc/%{name}/$config" ]; then
		config_file=/etc/%{name}/$config
	else
		clusterdir=$(awk -F= "/^$config/{print \$2}" /etc/%{name}/clusters.conf)
		if [ -z "$clusterdir" ]; then
			echo >&2 "Can't find cluster dir for $config!"
			echo >&2 "Please remove extra (leading) spaces from /etc/%{name}/clusters.conf"
			exit 1
		fi
		config_file="$clusterdir/mysqld.conf"
	fi

	if [ ! -f "$config_file" ]; then
		echo >&2 "ERROR: Can't find real config file for $config! Please report this (with above errors, if any) to http://bugs.pld-linux.org/"
		continue
	fi
	configs="$configs $config_file"
done

(
echo 'You should run MySQL upgrade script *after* restarting MySQL server for all MySQL clusters.'
echo 'Thus, you should invoke:'
for config in $configs; do
	sed -i -e '
		s/^language *= *polish/lc-messages = pl_PL/i
		s/set-variable\s*=\s* //
		s/^skip-locking/skip-external-locking/
		# this is not valid for server. it is client option
		s/default-character-set/# client-config: &/
		# use # as comment in config
		s/^;/#/
	' $config

	datadir=$(awk -F= '!/^#/ && $1 ~ /datadir/{print $2}' $config | xargs)
	echo "# mysql_upgrade --datadir=$datadir"
done
) | %banner -e %{name}-5.5

%files
%defattr(644,root,root,755)
%doc build/support-files/*.cnf build/support-files/*.ini
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,mysql) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/clusters.conf
%attr(755,root,root) %{_sbindir}/innochecksum
%attr(755,root,root) %{_sbindir}/my_print_defaults
%attr(755,root,root) %{_sbindir}/myisamchk
%attr(755,root,root) %{_sbindir}/myisamlog
%attr(755,root,root) %{_sbindir}/myisampack
#%attr(755,root,root) %{_sbindir}/mysql_fix_privilege_tables
%attr(755,root,root) %{_sbindir}/mysql_upgrade
%attr(755,root,root) %{_sbindir}/mysqlcheck
%attr(755,root,root) %{_sbindir}/mysqld
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugin
%attr(755,root,root) %{_libdir}/%{name}/plugin/adt_null.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/auth.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/auth_socket.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/auth_test_plugin.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/ha_archive.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/ha_blackhole.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/ha_federated.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/mypluglib.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/qa_auth_client.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/qa_auth_interface.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/qa_auth_server.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/semisync_master.so
%attr(755,root,root) %{_libdir}/%{name}/plugin/semisync_slave.so
%if %{with sphinx}
%attr(755,root,root) %{_libdir}/%{name}/plugin/sphinx.so
%endif
# for plugins
%attr(755,root,root) %{_libdir}/libmysqlservices.so
%{_mandir}/man1/innochecksum.1*
%{_mandir}/man1/my_print_defaults.1*
%{_mandir}/man1/myisamchk.1*
%{_mandir}/man1/myisamlog.1*
%{_mandir}/man1/myisampack.1*
#%{_mandir}/man1/mysql_fix_privilege_tables.1*
%{_mandir}/man1/mysql_upgrade.1*
%{_mandir}/man1/mysqlcheck.1*
%{_mandir}/man8/mysqld.8*

%if %{?debug:1}0
%attr(755,root,root) %{_bindir}/*resolve_stack_dump
%{_datadir}/%{name}/mysqld.sym
%{_mandir}/man1/*resolve_stack_dump.1*
%endif

%attr(700,mysql,mysql) %{_mysqlhome}
# root:root is proper here for mysql.rpm while mysql:mysql is potential security hole
%attr(751,root,root) /var/lib/mysql
%attr(750,mysql,mysql) %dir /var/log/mysql
%attr(750,mysql,mysql) %dir /var/log/archive/mysql
%attr(640,mysql,mysql) %ghost /var/log/mysql/*

%{_infodir}/mysql.info*
# This is template for configuration file which is created after 'service mysql init'
%{_datadir}/%{name}/mysqld.conf
%{_datadir}/%{name}/mysql_system_tables.sql
%{_datadir}/%{name}/mysql_system_tables_data.sql
%{_datadir}/%{name}/mysql_test_data_timezone.sql

%{_datadir}/%{name}/english
%{_datadir}/%{name}/fill_help_tables.sql
#%{_datadir}/%{name}/mysql_fix_privilege_tables.sql
%lang(cs) %{_datadir}/%{name}/czech
%lang(da) %{_datadir}/%{name}/danish
%lang(de) %{_datadir}/%{name}/german
%lang(el) %{_datadir}/%{name}/greek
%lang(es) %{_datadir}/%{name}/spanish
%lang(et) %{_datadir}/%{name}/estonian
%lang(fr) %{_datadir}/%{name}/french
%lang(hu) %{_datadir}/%{name}/hungarian
%lang(it) %{_datadir}/%{name}/italian
%lang(ja) %{_datadir}/%{name}/japanese
%lang(ko) %{_datadir}/%{name}/korean
%lang(nl) %{_datadir}/%{name}/dutch
%lang(nb) %{_datadir}/%{name}/norwegian
%lang(nn) %{_datadir}/%{name}/norwegian-ny
%lang(pl) %{_datadir}/%{name}/polish
%lang(pt) %{_datadir}/%{name}/portuguese
%lang(ro) %{_datadir}/%{name}/romanian
%lang(ru) %{_datadir}/%{name}/russian
%lang(sr) %{_datadir}/%{name}/serbian
%lang(sk) %{_datadir}/%{name}/slovak
%lang(sv) %{_datadir}/%{name}/swedish
%lang(uk) %{_datadir}/%{name}/ukrainian

%files charsets
%defattr(644,root,root,755)
%dir %{_datadir}/mysql
%{_datadir}/%{name}/charsets

%files extras
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/msql2mysql
%attr(755,root,root) %{_bindir}/myisam_ftdump
%attr(755,root,root) %{_bindir}/mysql_install_db
%attr(755,root,root) %{_bindir}/mysql_secure_installation
%attr(755,root,root) %{_bindir}/mysql_tzinfo_to_sql
%attr(755,root,root) %{_bindir}/perror
%attr(755,root,root) %{_bindir}/replace
%attr(755,root,root) %{_bindir}/resolveip
%{_mandir}/man1/msql2mysql.1*
%{_mandir}/man1/myisam_ftdump.1*
%{_mandir}/man1/mysql_install_db.1*
%{_mandir}/man1/mysql_secure_installation.1*
%{_mandir}/man1/mysql_tzinfo_to_sql.1*
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_mandir}/man1/resolveip.1*

%files -n mysqlhotcopy
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysqlhotcopy
%{_mandir}/man1/mysqlhotcopy.1*

%files extras-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql_convert_table_format
%attr(755,root,root) %{_bindir}/mysql_find_rows
%attr(755,root,root) %{_bindir}/mysql_fix_extensions
%attr(755,root,root) %{_bindir}/mysql_setpermission
%attr(755,root,root) %{_bindir}/mysql_zap
%attr(755,root,root) %{_bindir}/mysqlaccess
%attr(755,root,root) %{_bindir}/mysqldumpslow
%{_mandir}/man1/mysql_convert_table_format.1*
%{_mandir}/man1/mysql_find_rows.1*
%{_mandir}/man1/mysql_fix_extensions.1*
%{_mandir}/man1/mysql_setpermission.1*
%{_mandir}/man1/mysql_zap.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqldumpslow.1*

%files client
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/skel/.my.cnf
%attr(755,root,root) %{_bindir}/mysql
%attr(755,root,root) %{_bindir}/mysqladmin
%attr(755,root,root) %{_bindir}/mysqlbinlog
%attr(755,root,root) %{_bindir}/mysqlbug
%attr(755,root,root) %{_bindir}/mysqldump
%attr(755,root,root) %{_bindir}/mysqlimport
%attr(755,root,root) %{_bindir}/mysqlshow
%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqlbinlog.1*
%{_mandir}/man1/mysqlbug.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqlimport.1*
%{_mandir}/man1/mysqlshow.1*

%files libs
%defattr(644,root,root,755)
%attr(751,root,root) %dir %{_sysconfdir}/mysql
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/mysql-client.conf
%attr(755,root,root) %{_libdir}/libmysqlclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmysqlclient.so.18
%attr(755,root,root) %{_libdir}/libmysqlclient_r.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmysqlclient_r.so.18
%if %{with ndb}
%attr(755,root,root) %{_libdir}/libndbclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libndbclient.so.3
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql_config
%attr(755,root,root) %{_libdir}/libmysqlclient.so
%attr(755,root,root) %{_libdir}/libmysqlclient_r.so
%if %{with ndb}
%attr(755,root,root) %{_libdir}/libndbclient.so
%endif
%{_includedir}/mysql
%{_aclocaldir}/mysql.m4
%{_mandir}/man1/mysql_config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmysqlclient.a
%{_libdir}/libmysqlclient_r.a
%if %{with ndb}
%{_libdir}/libndbclient.a
%endif

%files bench
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysqlslap
%attr(755,root,root) %{_bindir}/mysqltest
%dir %{_datadir}/sql-bench
%{_datadir}/sql-bench/[CDRl]*
%attr(755,root,root) %{_datadir}/sql-bench/[bcgirst]*
%{_mandir}/man1/mysqlslap.1*
%{_mandir}/man1/mysqltest.1*
%{_mandir}/man1/mysqltest_embedded.1*

#%files doc
#%defattr(644,root,root,755)
#%doc Docs/manual.html Docs/manual_toc.html

%if %{with ndb}
%files ndb
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ndbd
%attr(754,root,root) /etc/rc.d/init.d/mysql-ndb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql-ndb
%{_mandir}/man1/ndbd_redo_log_reader.1*
%{_mandir}/man8/ndbd.8*

%files ndb-client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ndb_config
%attr(755,root,root) %{_bindir}/ndb_delete_all
%attr(755,root,root) %{_bindir}/ndb_desc
%attr(755,root,root) %{_bindir}/ndb_drop_index
%attr(755,root,root) %{_bindir}/ndb_drop_table
%attr(755,root,root) %{_bindir}/ndb_error_reporter
%attr(755,root,root) %{_bindir}/ndb_mgm
%attr(755,root,root) %{_bindir}/ndb_print_backup_file
%attr(755,root,root) %{_bindir}/ndb_print_schema_file
%attr(755,root,root) %{_bindir}/ndb_print_sys_file
%attr(755,root,root) %{_bindir}/ndb_restore
%attr(755,root,root) %{_bindir}/ndb_select_all
%attr(755,root,root) %{_bindir}/ndb_select_count
%attr(755,root,root) %{_bindir}/ndb_show_tables
%attr(755,root,root) %{_bindir}/ndb_size.pl
%attr(755,root,root) %{_bindir}/ndb_test_platform
%attr(755,root,root) %{_bindir}/ndb_waiter
%{_mandir}/man1/ndb_config.1*
%{_mandir}/man1/ndb_delete_all.1*
%{_mandir}/man1/ndb_desc.1*
%{_mandir}/man1/ndb_drop_index.1*
%{_mandir}/man1/ndb_drop_table.1*
%{_mandir}/man1/ndb_error_reporter.1*
%{_mandir}/man1/ndb_mgm.1*
%{_mandir}/man1/ndb_print_backup_file.1*
%{_mandir}/man1/ndb_print_schema_file.1*
%{_mandir}/man1/ndb_print_sys_file.1*
%{_mandir}/man1/ndb_restore.1*
%{_mandir}/man1/ndb_select_all.1*
%{_mandir}/man1/ndb_select_count.1*
%{_mandir}/man1/ndb_show_tables.1*
%{_mandir}/man1/ndb_size.pl.1*
%{_mandir}/man1/ndb_waiter.1*

%files ndb-mgm
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ndb_mgmd
%attr(754,root,root) /etc/rc.d/init.d/mysql-ndb-mgm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql-ndb-mgm
%{_mandir}/man8/ndb_mgmd.8*

%files ndb-cpc
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ndb_cpcd
%attr(754,root,root) /etc/rc.d/init.d/mysql-ndb-cpc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql-ndb-cpc
%{_mandir}/man1/ndb_cpcd.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql.spec,v $
Revision 1.550  2011/05/22 12:05:58  glen
- drop alpha patches

Revision 1.549  2011/05/22 11:58:46  glen
- disable response-time-distribution patch on arch which has no atomic builtins even in gcc 4

Revision 1.548  2011/04/28 08:02:36  arekm
- up to 5.5.11

Revision 1.547  2011/04/02 04:46:42  qboosh
- fixed todo list

Revision 1.546  2011/04/01 11:44:29  arekm
- rel 2; use libmysqlclient_18 version

Revision 1.545  2011/03/31 16:54:15  arekm
- up to 5.5.10

Revision 1.544  2011/03/31 16:19:38  glen
- release 7

Revision 1.543  2011/03/31 16:17:06  glen
- fix typo in sed pattern

Revision 1.542  2011/03/31 15:25:21  glen
- rename is_prefix to mysql_is_prefix in exported syms

Revision 1.541  2011/03/31 13:15:45  glen
- export is_prefix for perl-DBD-mysql (4.018)

Revision 1.540  2011/03/31 12:01:47  glen
- add mysql-dubious-exports.patch from fedora, used by libmysql.version

Revision 1.539  2011/03/31 11:46:14  glen
- todo

Revision 1.538  2011/03/10 18:24:05  glen
- update and enable mysql_dump_ignore_ct.patch

Revision 1.537  2011/03/10 18:02:59  glen
- update percona patches (mysql_dump_ignore_ct.patch needs updating)

Revision 1.536  2011/03/10 17:55:53  glen
- restore banner

Revision 1.535  2011/03/10 10:03:54  arekm
- rel 5; paste typo

Revision 1.534  2011/03/10 09:53:30  arekm
- rel 4; libmysqlservices moved to main server package

Revision 1.533  2011/03/10 09:27:40  arekm
- rel 3; pld cmake macro sets build type to PLD which causes mysql to be built with Debug build type. Force sane build type.

Revision 1.532  2011/03/10 08:11:42  glen
- default-character-set is client option, not server

Revision 1.531  2011/03/10 08:08:58  glen
- skip-locking was renamed, not removed

Revision 1.530  2011/03/10 08:07:41  glen
- more mysqld.conf changes: skip-locking, default-character-set

Revision 1.529  2011/03/08 06:28:44  glen
- trim out obsolete set-variable. unsupported in 5.5

Revision 1.528  2011/02/25 15:25:50  qboosh
- -devel desc fix, more __rm macro

Revision 1.527  2011/02/24 22:45:20  uzsolt
- mysql-extras needs mysql-client instead of mysql

Revision 1.526  2011/02/24 15:17:36  glen
- cflags as upstream, enable PIC, unit tests disabling (old changes)

Revision 1.525  2011/02/24 12:35:42  uzsolt
- extras package needs mysql

Revision 1.524  2011/02/24 11:35:13  uzsolt
- move resolveip and mysql_install_db to extras package

Revision 1.523  2011/02/24 11:14:54  uzsolt
- package resolveip, because mysql_install_db is packaged too

Revision 1.522  2011/02/19 22:16:59  arekm
- up to 5.5.9

Revision 1.521  2011/02/16 16:31:18  arekm
- Try to fix lang config on upgrade.

Revision 1.520  2011/01/31 08:46:34  arekm
- rm test suite

Revision 1.519  2011/01/31 08:37:44  arekm
- rel 2; force rebuild anyway (libmysqlclient_r.so.*  lib is gone)

Revision 1.518  2011/01/31 08:27:08  arekm
- rel 1

Revision 1.517  2011/01/28 20:40:48  arekm
- rel 0.7; export client_errors symbol for php mysqli

Revision 1.516  2011/01/28 19:57:51  arekm
- revert postun using postshell, it's too simple shell that doesn't handle many things

Revision 1.515  2011/01/28 19:49:30  arekm
- rel 0.6; feature set community; fix comment option

Revision 1.514  2011/01/28 19:08:26  arekm
- add versioning script from fedora; add provides for libmysqlclient_r client; WITH_READLINE=OFF causes autodetection and in the end uses system readline (where =ON or =system still uses bundled one); add chain certs from fedora

Revision 1.513  2011/01/28 09:17:47  arekm
- rel 0.5 (consider this to be test before rel 1); update percona patches; drop obsolete patches

Revision 1.512  2010/12/28 13:30:50  glen
- use bundled openssl on ac for now (missing SHA512_DIGEST_LENGTH in openssl/sha.h)

Revision 1.511  2010/12/28 11:29:01  glen
- ac libstdc++ dep

Revision 1.510  2010/12/27 21:11:07  glen
- always link with system readline and ssl, do not allow fallback to bundled one

Revision 1.509  2010/12/27 21:10:23  glen
- use INSTALL_LAYOUT=RPM for default paths, keep overrides we disagree

Revision 1.508  2010/12/27 21:06:11  glen
- only need gcc4 in build section

Revision 1.507  2010/12/27 20:22:31  glen
- needs gcc4 to build, be sure detect is ok

Revision 1.506  2010/12/27 19:12:24  glen
- builds on ac-amd64: RPMS/mysql-5.5.8-0.1.amd64.rpm

Revision 1.505  2010/12/16 14:20:43  glen
- BR cmake 2.6

Revision 1.504  2010/12/16 11:25:27  glen
- use %{name} macro, cosmetics, macros BR for cmake, restore comment for default mysql.sock

Revision 1.503  2010/12/15 22:22:51  arekm
- new perfona url, new patch names (but still have to wait for the patches to be updated to 5.5.8)

Revision 1.502  2010/12/15 22:11:28  arekm
- fix so symlinks and update system users patch
  [sphinx bcond disabled]

Revision 1.501  2010/12/15 21:37:37  arekm
- resurrect more options, bconds, post-fix mysql_config

Revision 1.500  2010/12/15 21:08:15  arekm
- checked some patches

Revision 1.499  2010/12/15 20:49:37  arekm
- build and install pass correctly. Patches still need review.

Revision 1.498  2010/12/15 19:33:43  arekm
- builds; tons of patches need update/verification; install also problematic

Revision 1.497  2010/12/15 18:38:15  arekm
- fetch 5.5.8 tarball (GA version); 5.1 is on MYSQL_5_1 now

Revision 1.496  2010/12/13 15:09:11  wiget
- allow spaces and tabs after variable name
- drop versioned mawk R:
- release 3

Revision 1.495  2010/12/11 11:22:32  uzsolt
- requires versioned mawk (see http://www.opensubscriber.com/message/pld-devel-en@lists.pld-linux.org/14830609.html )

Revision 1.494  2010/11/08 18:56:25  shadzik
- rel 2

Revision 1.493  2010/11/02 05:44:11  arekm
- up to 5.1.52

Revision 1.492  2010/09/28 19:49:35  arekm
- up to 5.1.51

Revision 1.491  2010/09/23 19:14:52  arekm
- up to 5.1.50

Revision 1.490  2010/07/31 09:23:18  arekm
- fix mysql_install_db

Revision 1.489  2010/07/25 00:59:10  glen
- sphinx builds; enable

Revision 1.488  2010/07/25 00:47:09  glen
- disable ndbcluster by bcond

Revision 1.487  2010/07/24 16:12:27  glen
- add sphinx patch, builds now

Revision 1.486  2010/07/24 14:18:44  glen
- drop unrecognized options

Revision 1.485  2010/07/24 12:42:00  glen
- up to 5.1.49, update sphinx tarball to 0.9.9

Revision 1.484  2010/07/22 10:04:41  glen
- suggest mysql vim syntax

Revision 1.483  2010/06/17 17:25:07  arekm
- up to 5.1.48

Revision 1.482  2010/05/26 10:36:36  glen
- mysqlhotcopy does not strictly depend on mysql-libs; rel 2

Revision 1.481  2010/05/21 18:55:35  arekm
- up to 5.1.47

Revision 1.480  2010/04/24 07:52:54  arekm
- don't check abi (fails with gcc 4.5.0 due to broken check)

Revision 1.479  2010/04/24 07:35:57  arekm
- up to 5.1.46

Revision 1.478  2010/04/10 17:33:10  arekm
- release 2

Revision 1.477  2010/03/17 13:33:46  glen
- up to 5.1.45

Revision 1.476  2010/02/27 17:30:44  pawelz
- Dropped unused BRs: doxygen, texinfo

Revision 1.475  2010/02/26 14:05:12  arekm
- rel 2; fix for charset issue (akonadi triggers this)

Revision 1.474  2010/02/18 20:50:07  arekm
- up to 5.1.44

Revision 1.473  2010/02/01 22:27:26  sparky
- BR: groff

Revision 1.472  2010/01/31 21:58:09  arekm
- up to 5.1.43

Revision 1.471  2010/01/01 10:06:52  arekm
- up to 5.1.42

Revision 1.470  2009/12/21 14:52:49  glen
- add default ~/.my.cnf via /etc/skel

Revision 1.469  2009/11/27 08:53:59  pawelz
- rel 3

Revision 1.468  2009/11/26 22:35:53  pawelz
- rel 2

Revision 1.467  2009/11/19 10:49:19  zbyniu
- BR: bison

Revision 1.466  2009/11/18 21:29:31  arekm
- up to 5.1.41

Revision 1.465  2009/10/28 15:48:07  qboosh
- pl for mysqlhotcopy

Revision 1.464  2009/10/27 14:33:15  glen
- fixing php-cli with php-mysql ext segfault:
   https://bugs.launchpad.net/mysql-server/+bug/343870
- rel 2

Revision 1.463  2009/10/22 19:08:15  arekm
- up to 5.1.40

Revision 1.462  2009/09/22 19:27:21  arekm
- up to 5.1.39

Revision 1.461  2009/09/04 11:15:25  glen
- -avoid-version to modules

Revision 1.460  2009/09/02 18:12:03  arekm
- up to 5.1.38

Revision 1.459  2009/08/03 12:26:54  arekm
- up to 5.1.37

Revision 1.458  2009/07/13 00:24:29  arekm
- note: -fomit-frame-pointer was source of our segfault problems

Revision 1.457  2009/07/12 17:27:59  arekm
- rel 4; profiling enabled; flags updated (seem to be working now on i686; please test)

Revision 1.456  2009/07/07 07:06:58  arekm
- rel 3; temporaily disable profiling to workaround https://bugs.launchpad.net/pld-linux/+bug/381904

Revision 1.455  2009/07/02 06:43:38  arekm
- rel 2; reapply patches

Revision 1.454  2009/07/02 06:13:25  arekm
- up to 5.1.36

Revision 1.453  2009/06/19 21:40:45  arekm
- update patches

Revision 1.452  2009/06/10 06:45:44  adamg
- #381904 still not fixed

Revision 1.451  2009/06/08 17:06:01  adamg
- updated to 5.1.35 (solves pld bug #381904, mysql bug #45205)

Revision 1.450  2009/05/25 23:31:38  glen
- -extras-perl R: mysqlhotcopy for the sake of upgrades; rel 4

Revision 1.449  2009/05/25 23:29:20  glen
- split mysqlhotcopy to separate package (needs just perl-DBI, not other "extras"); rel 3

Revision 1.448  2009/05/25 23:25:45  glen
- no install for ndb files if disabled

Revision 1.447  2009/05/14 12:09:03  glen
- current *.log files

Revision 1.446  2009/05/03 17:03:28  hawk
- release 2

Revision 1.445  2009/04/25 10:25:24  adamg
- updated to 5.1.34

Revision 1.444  2009/04/17 16:43:21  glen
- mysqlhotcopy: skip locking of known CSV tables from mysql tables, mysql bug#43594; rel 2

Revision 1.443  2009/04/03 19:52:45  arekm
- up to 5.1.33

Revision 1.442  2009/03/19 15:58:16  glen
- does not require logrotate; rel 2

Revision 1.441  2009/03/09 10:20:18  blues
- security note

Revision 1.440  2009/03/07 15:38:12  arekm
- up to 5.1.32 [fixes: Bug#42495]

Revision 1.439  2009/02/23 22:13:16  arekm
- release 4

Revision 1.438  2009/02/11 15:03:03  shadzik
- rel 3

Revision 1.437  2009/02/11 13:49:14  shadzik
- pass -fPIC
- extended TODO

Revision 1.436  2009/02/08 10:40:04  arekm
- release 2

Revision 1.435  2009/02/08 10:26:42  arekm
- up to 5.1.31; disable NDB by default (there is separate product for that)

Revision 1.434  2009/01/13 12:39:44  baggins
- rel 3
- give mysqld a chance to use preconfigured mysqld.conf in 'service mysql init'

Revision 1.433  2008/12/06 20:54:31  arekm
- rel 2; include percona patches (userstats is cool); note that now slow time need to be specified in microseconds not seconds

Revision 1.432  2008/11/26 16:25:21  arekm
- up to 5.1.30 (first GA release)

Revision 1.431  2008/11/01 20:36:32  arekm
- rel 2; drop certs dir for now (change not complete, breaking deps).

Revision 1.430  2008/10/27 20:37:44  arekm
- up to 5.1.29

Revision 1.429  2008/10/27 13:58:55  glen
- cleanup error logging procedure, errors log rotated now by logrotate by the unix way; rel 5

Revision 1.428  2008/10/26 14:37:46  glen
- move mysqlslap to -bench package (load emulation client)

Revision 1.427  2008/10/26 14:19:22  glen
- main pkg requires -libs as at least mysql_upgrade and mysqlcheck link with libmysqlclient

Revision 1.426  2008/10/26 14:18:13  glen
- requires logrotate (due dir dep)

Revision 1.425  2008/10/26 14:17:20  glen
- sort files, add /etc/ssl/certs/mysql dir

Revision 1.424  2008/10/24 13:23:23  glen
- mysql_upgrade should be ran after restarting mysqld

Revision 1.423  2008/10/23 13:32:14  glen
- move ChangeLog to %doc

Revision 1.422  2008/10/14 13:22:19  baggins
- rel 4
- missed a copy-pasto :/

Revision 1.421  2008/10/14 12:54:22  baggins
- S: tcp_wrappers

Revision 1.420  2008/10/14 12:24:08  baggins
- rel 3
- revamped database init in rc-script
   - secure default, no references to $hostname in default mysql db
   - better commands for password seting, for details chack
   http://lists.pld-linux.org/mailman/pipermail/pld-devel-en/2008-October/020465.html
   - fill help tables (fast access to help for 500KB is a good deal)

Revision 1.419  2008/10/12 22:51:52  baggins
- rel 2
- fixed bullshit about changing password for mysql_sysadmin in mysql.init

Revision 1.418  2008/09/16 20:27:08  blues
- sec/DoS note

Revision 1.417  2008/09/14 09:45:31  glen
- 5.1.28-rc

Revision 1.416  2008/08/25 19:07:37  qboosh
- updated libs patch to kill unnecessary linking with libnsl
  and invalid/unnecessary -L/usr/lib/ from --libs
- added config patch to filter unwanted flags from --cflags/--libs

Revision 1.415  2008/08/25 17:22:56  qboosh
- verbose libs list

Revision 1.414  2008/07/19 16:40:38  qboosh
- fixed plugins dir cleanup
- package mysqlbug(1) manual

Revision 1.413  2008/07/17 18:25:51  arekm
- up to 5.1.26 [DoS fix Bug #35658]

Revision 1.412  2008/07/11 12:23:21  blues
- suggest mysql-client - for mysqladmin, as described in init message

Revision 1.411  2008/06/11 15:49:42  hawk
- release 2

Revision 1.410  2008-06-10 09:52:53  arekm
- up to 5.1.25

Revision 1.409  2008-04-23 20:27:45  arekm
- up to 5.1.24 (still as RC; two security bugs fixed)

Revision 1.408  2008-04-19 08:16:36  arekm
- rel 6; fix group_contact with join server crash

Revision 1.407  2008-04-09 17:09:16  arekm
- rel 3; fix bug 34945 (segfault on some selects)

Revision 1.406  2008-03-30 20:15:54  hawk
- added patch for bug #34655, release 4

Revision 1.405  2008-03-25 23:54:09  glen
- rel 3

Revision 1.404  2008-03-25 23:46:11  glen
- ghost soname symlinks, package shared lib links in private dir

Revision 1.403  2008-03-11 09:34:49  arekm
- rel 2; ssl patch still needed

Revision 1.402  2008-02-27 08:25:20  arekm
- federated is built into server; use --with-plugins for making it external and shared

Revision 1.401  2008-02-27 08:09:10  arekm
- up to 5.1.23 (fixes CVE-2007-5970, CVE-2007-6313, CVE-2007-5969)

Revision 1.400  2008-02-06 20:42:07  glen
- never use '<=' in trigger comparision; rel 7

Revision 1.399  2008-02-01 17:13:34  qboosh
- mysql_config insanity needs fix

Revision 1.398  2008-01-31 12:03:28  arekm
- rel 6; fix for mysql bug 34192 (mysqldump silently failing on 4.0 server databases)

Revision 1.397  2008-01-13 00:53:41  glen
- re-enable federated; rel 5

Revision 1.396  2008-01-12 16:09:29  glen
- keep only one trigger on mysql package name due rpm bugs
- cosmetic on < 5.1 upgrade script
- federated ha bconded in files
- federated disabled, doesn't produce any files here
- no ldconfig on main package
- rel 4

Revision 1.395  2008-01-03 15:50:42  qboosh
- updated download URL

Revision 1.394  2007-12-18 19:10:07  arekm
- tests bcond

Revision 1.393  2007-12-08 22:46:26  blues
- rel.3 - build with federated storage engine

Revision 1.392  2007-11-24 19:35:21  arekm
- rel 2; drop tmp database from init script; add mysql_logrotate back

Revision 1.391  2007/11/08 14:15:59  arekm
- rel 1 (it's rc1)

Revision 1.390  2007-11-08 14:14:22  hawk
- blah, fixed patch number in previous commit log

Revision 1.389  2007-11-08 14:10:43  hawk
- patch13 is back, release 0.2

Revision 1.388  2007-10-01 17:00:40  glen
- updated sphinx to 0.9.7

Revision 1.387  2007/10/01 16:58:38  glen
- update to 5.1.22-rc1

Revision 1.386  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.385  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.384  2007/08/30 15:20:26  glen
- update to 5.1.21

Revision 1.383  2007/07/25 21:55:55  glen
- move resolve_stack_dump related files to server package

Revision 1.382  2007/07/10 07:31:04  arekm
- up to 5.1.20

Revision 1.381  2007/06/21 11:41:26  glen
- two bugs resolving mysqlhotcopy problems; rel 2

Revision 1.380  2007/06/04 08:01:29  arekm
- apply min_max patch; it's needed

Revision 1.379  2007/06/03 22:16:39  glen
- 5.1.19

Revision 1.378  2007/05/30 20:35:14  glen
- %files updates

Revision 1.377  2007/05/28 23:07:30  glen
- min-max patch needs update for th

Revision 1.376  2007/05/28 22:48:37  glen
- patches apply

Revision 1.375  2007/05/15 23:49:45  gotar
- remove $ldflags from mysql_config --lib* output

Revision 1.374  2007/05/15 19:19:25  glen
- 5.1.18-beta tarball

Revision 1.373  2007/05/01 18:06:17  arekm
- rel 1

Revision 1.372  2007/04/16 13:46:54  arekm
- more fixes; unfortunately doesn't build

Revision 1.371  2007/04/16 11:52:55  glen
- update to 5.1.17-beta

Revision 1.370  2007/04/02 17:01:43  baggins
- rel 3

Revision 1.369  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.368  2007/03/15 14:17:39  glen
- sphinx storage engine (not finished)

Revision 1.367  2007/03/09 14:16:19  glen
- rel 2; init now works

Revision 1.366  2007/03/01 19:27:46  glen
- update to 5.1.16

Revision 1.365  2007/02/19 14:12:03  qrczak
- Fixed install script: man pages are not compressed yet there.

Revision 1.364  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.363  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.362  2007/02/09 17:11:39  glen
- builds ok, therefore rel 1

Revision 1.361  2007/02/09 15:58:33  glen
- 5.1.15

Revision 1.360  2007/02/03 17:47:33  zergin
- added fix for bug #24747 (from: http://lists.mysql.com/commits/17414)
- added missing BR:doxygen (faild build on docs)
- builds & works w/o errors on Th x86_64
- rel: 2 => 3, STBR

Revision 1.359  2006/12/22 15:46:52  arekm
- rel 2; doc dropped

Revision 1.358  2006/12/21 23:16:20  arekm
- rel 1; doc/bench subpackages are back

Revision 1.357  2006/12/16 21:48:26  arekm
- more bugfixes

Revision 1.356  2006/12/16 21:23:01  arekm
- fix mysql bug #16634

Revision 1.355  2006/12/16 20:56:50  arekm
- monit merge dropped

Revision 1.354  2006/12/16 20:22:46  arekm
- merge from DEVEL

Revision 1.353  2006/11/28 23:40:30  arekm
- rel 3

Revision 1.352  2006/11/21 12:29:32  qboosh
- moved .monitrc to monit-rc-mysql.spec; release 2

Revision 1.351  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.350  2006/10/30 19:19:20  glen
- 5.0.27 (fixes ABI incompatability introduced in 5.0.26)

Revision 1.349  2006/10/24 07:46:25  arekm
- if built without InnoDB then create MyISAM base tables.

Revision 1.348  2006/10/13 20:01:40  arekm
- rel 4

Revision 1.347  2006/10/13 12:06:37  arekm
- rel 3

Revision 1.346  2006/10/10 21:38:39  glen
- rel 2: fixed alpha patch

Revision 1.345  2006/10/10 16:42:20  glen
- updated to 5.0.26

Revision 1.344  2006/09/28 21:40:24  glen
- updated URL

Revision 1.343  2006/09/13 10:51:14  glen
- fill_help_tables.sql moved to datadir and moved to init; rel 4

Revision 1.342  2006/09/11 17:35:05  wiget
- fix path to libs in mysql_config, release 3

Revision 1.341  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.340  2006/08/31 22:58:35  glen
- 5.0.24a: resolves ABI incompatibility from 5.0.24 (spamassassin works with this one)

Revision 1.339  2006/08/08 00:09:44  glen
- test build fix
- drop libwrap patch (as there's no description what it does, and to me it seems obsolete)
- drop obsolete TODO items

Revision 1.338  2006/08/07 13:13:00  glen
- package mysql_upgrade_shell and mysql_explain_log manual

Revision 1.337  2006/08/07 12:19:58  glen
- 5.0.24

Revision 1.336  2006/08/03 10:12:30  havner
- security warning

Revision 1.335  2006/06/09 16:23:12  glen
- fix implicit $sth close in mysqlhotcopy; rel 2

Revision 1.334  2006/05/31 18:22:25  glen
- 5.0.22: An SQL-injection security hole security fix release.

Revision 1.333  2006/05/09 17:02:14  glen
- monit file doesn't need to be executable

Revision 1.332  2006/05/09 13:42:31  qboosh
- formatting

Revision 1.331  2006/05/02 14:20:24  glen
- updated to 5.0.21

Revision 1.330  2006/04/22 14:45:59  glen
- 5.0.20a

Revision 1.329  2006/04/16 10:46:04  arekm
- up to 5.0.20

Revision 1.328  2006/03/12 20:49:57  glen
- errmsg.txt is error messages source
- mysqlman is just dummy manual pointing user to use --help option of programs

Revision 1.327  2006/03/12 20:40:34  glen
- up to 5.0.19.
- libmysqlclient now uses versioned symbols with GNU ld.
- mysql_upgrade program added

Revision 1.326  2006/03/12 11:58:04  blues
- group fixed

Revision 1.325  2006/03/05 14:51:20  glen
- use %service, adapterized, cosmetics

Revision 1.324  2006/02/15 17:25:14  arekm
- rel 4; reconnect fixes

Revision 1.323  2006/02/10 17:41:31  qboosh
- missing dir, unified preambles/files order

Revision 1.322  2006/02/10 17:08:12  baggins
- release 3
- charsets definitions are needed by both client and server
- moved charsets to separate package
- mysql and mysql-client R mysql-charsets

Revision 1.321  2006/01/27 14:48:51  arekm
- fix resolve_stack_dump problem

Revision 1.320  2006/01/27 08:54:36  arekm
- rel 2 (improved init script)

Revision 1.319  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.318  2006/01/13 12:17:31  glen
- sample for snapshot build

Revision 1.317  2006/01/13 10:11:28  glen
- package mysqld.sym into package when debug package is built

Revision 1.316  2005/12/30 18:35:11  glen
- 5.0.18

Revision 1.315  2005/12/21 11:16:13  arekm
- up to 5.0.17

Revision 1.314  2005/12/19 20:44:52  glen
- also update libdir in libmysqlclient_r.la to prevent libtool "library moved" warning
- remove unused manuals

Revision 1.313  2005/11/29 20:05:17  glen
- re-add bug #14610 (mysqlhotcopy bug); rel 2

Revision 1.312  2005/11/26 00:25:01  qboosh
- added mysqlcheck(1) manual

Revision 1.311  2005/11/23 22:23:46  blues
- added enable-largefile=yes

Revision 1.310  2005/11/23 09:17:58  arekm
- up to 5.0.16

Revision 1.309  2005/11/21 19:54:32  glen
- rel 6

Revision 1.308  2005/11/12 17:54:02  glen
- add fix for mysqlhotcopy and stored procedure fix
- enable big tables by default

Revision 1.307  2005/11/09 00:16:42  glen
- add #13707 (crash with insert delayed)
- main package does not use anything from -libs, disabled
- do also --with(out)-ndb-debug
- rel 5

Revision 1.324.2.14  2006/12/13 10:47:18  glen
- update to 5.1.14

Revision 1.324.2.13  2006/11/03 12:35:32  glen
- 5.1.12-beta

Revision 1.324.2.12  2006/11/02 13:03:51  glen
- use sql dumps to init initialize mysql database

Revision 1.324.2.11  2006/11/01 18:45:26  glen
- resolveip used only by mysql_install_db which we don't package

Revision 1.324.2.10  2006/11/01 18:41:42  glen
- fix paths in mysql_upgrade

Revision 1.324.2.9  2006/11/01 18:31:27  glen
- mysqlcheck is used by mysql_upgrade

Revision 1.324.2.8  2006/11/01 18:28:31  glen
- 5.1 trigger (not tested)

Revision 1.324.2.7  2006/10/22 19:07:28  glen
- package ha_blackhole plugin

Revision 1.324.2.6  2006/10/22 18:55:33  glen
- build with system openssl
- misunderstood usage of --with-plugins (denotes plugins compiled into mysqld)
- check files cleanup

Revision 1.298  2005/09/22 12:24:06  glen
- ignore error from mysql restart in %post. it doesn't give any value not
  having so, but having it could at least prevent duplicate mysql packages
  installed on system

Revision 1.324.2.5  2006/10/21 12:41:23  glen
- added mysqlslap to -client package
- cleanups, pass --with-plugins

Revision 1.324.2.4  2006/10/17 14:31:22  glen
- merge changes from HEAD

Revision 1.296  2005/08/25 18:25:11  glen
- updated to 4.1.14

Revision 1.324.2.3  2006/10/17 13:31:51  glen
- 5.1.1-beta, sql-bench is gone

Revision 1.324.2.2  2006/02/22 07:55:23  glen
- %files update

Revision 1.324.2.1  2006/02/21 14:17:31  glen
- update to 5.1.6-alpha
